<?php

//------------------------------------------------------------------------------------------------- inline live color css
function VM_VerticalMenu_Live_CSS() {

	// get color option from database
	$color = get_option( 'VM_database_option_live_css' );

	?>
	<!-- apply inline css -->
	<style type="text/css">
		#verticalMenu .icons-bar {
			background: <?php echo $color['icon-bar-live-color']; ?>;
		}

		#verticalMenu .icons-bar-content span {
			color: <?php echo $color['icon-bar-live-text-2'] ?>;
		}

		#verticalMenu .icons-bar-content span:first-child {
			color: <?php echo $color['icon-bar-live-text-1'] ?>;
		}

		#verticalMenu .icons-bar a {
			color: <?php echo $color['icon-bar-icon-color'] ?>;
			background: <?php echo $color['icon-bar-icon-background'] ?>;
		}

		#verticalMenu .icons-bar a:hover, #verticalMenu .icons-bar a.active {
			color: <?php echo $color['icon-bar-icon-color-hover'] ?>;
			background: <?php echo $color['icon-bar-icon-background-hover'] ?>;
		}

		#verticalMenu .icons-bar a span.imgOverlay {
			background: <?php echo $color['icon-bar-image-background'] ?>;
		}

		#verticalMenu .icons-bar a:hover span.imgOverlay, #verticalMenu .icons-bar a.active span.imgOverlay {
			background: <?php echo $color['icon-bar-image-background-hover'] ?>;
		}

		#verticalMenu .icons-bar a:after {
			color: <?php echo $color['tooltip-text-color'] ?>;
			background: <?php echo $color['tooltip-background-color'] ?>;
		}

		#verticalMenu .icons-bar a:before {
			border-right-color: <?php echo $color['tooltip-background-color'] ?>;
		}

		#verticalMenu .iconBarTrigger {
			background: <?php echo $color['icon-bar-icon-background'] ?>;
		}

		#verticalMenu .iconBarTrigger span {
			border-color: <?php echo $color['icon-bar-icon-color'] ?>;
		}

		#verticalMenu .iconBarTrigger:hover, #verticalMenu .iconBarTrigger.active {
			background: <?php echo $color['icon-bar-icon-background-hover'] ?>;
		}

		#verticalMenu .iconBarTrigger:hover span, #verticalMenu .iconBarTrigger.active span {
			border-color: <?php echo $color['icon-bar-icon-color-hover'] ?>;
		}

		#verticalMenu .menu-bar,
		#verticalMenu .menu-user-profile {
			background: <?php echo $color['menu-bar-background-color'] ?>;
		}

		#verticalMenu .menu-user-profile figure {
			border-color: <?php echo$color['profile-border-color'] ?>;
		}

		#verticalMenu .menu-user-profile h1,
		#verticalMenu .menu-user-profile h4 {
			color: <?php echo$color['profile-text-color'] ?>;
		}

		#verticalMenu .menu-user-profile:after {
			background: <?php echo $color['profile-text-border-color'] ?>;
		}

		#verticalMenu .menu-bar .menu-list-items li a span {
			color: <?php echo $color['menu-bar-text-color'] ?>;
		}

		#verticalMenu .menu-bar .menu-list-items li:hover span,
		#verticalMenu .menu-bar .menu-list-items li.current-menu-item span,
		#verticalMenu .menu-bar .menu-list-items li.activeClick span {
			color: <?php echo $color['menu-bar-text-hover-color'] ?>;
		}

		#verticalMenu .menu-bar .menu-list-items li a i.fa {
			color: <?php echo $color['menu-bar-icon-color'] ?>;
			background: <?php echo $color['menu-bar-icon-background-color'] ?>;
		}

		#verticalMenu .menu-bar .menu-list-items li:hover i.fa,
		#verticalMenu .menu-bar .menu-list-items li.activeClick i.fa,
		#verticalMenu .menu-bar .menu-list-items li.current-menu-item i.fa {
			color: <?php echo $color['menu-bar-icon-hover-color'] ?>;
			background: <?php echo $color['menu-bar-icon-hover-background-color'] ?>;
		}

		#verticalMenu .menu-bar .menu-list-items i.VMImgIcon {
			background: <?php echo $color['menu-bar-icon-image-background-color'] ?>;
		}

		#verticalMenu .menu-bar .menu-list-items li:hover i.VMImgIcon,
		#verticalMenu .menu-bar .menu-list-items li.activeClick i.VMImgIcon,
		#verticalMenu .menu-bar .menu-list-items li.current-menu-item i.VMImgIcon {
			background: <?php echo $color['menu-bar-icon-image-hover-background-color'] ?>;
		}

		#verticalMenu li > a .dropDownIndicator {
			background: <?php echo $color['menu-bar-text-color'] ?>;
		}

		#verticalMenu li:hover > a .dropDownIndicator,
		#verticalMenu li.activeClick > a .dropDownIndicator {
			background: <?php echo $color['menu-bar-text-hover-color'] ?>;
		}

		#verticalMenu .menu-footer {
			color: <?php echo $color['footer-text-color'] ?>;
			background: <?php echo $color['footer-background-color'] ?>;
		}

		#verticalMenu .mCSB_dragger_bar {
			background: <?php echo $color['scroll-bar-background'] ?> !important;
		}

		#verticalMenu .mCSB_scrollTools .mCSB_buttonUp:after,
		#verticalMenu .mCSB_scrollTools .mCSB_buttonDown:after {
			color: <?php echo $color['scroll-bar-arrow-color'] ?>;
		}

		#verticalMenu .drop-down,
		#verticalMenu .drop-down .drop-down {
			background: <?php echo $color['drop-down-background'] ?>;
			border-top-color: <?php echo $color['drop-down-border-color'] ?>;
			border-bottom-color: <?php echo $color['drop-down-border-color'] ?>;
		}

		#verticalMenu .menu-bar .menu-list-items li .drop-down li > a,
		#verticalMenu .menu-bar .menu-list-items li .drop-down li > a {
			color: <?php echo $color['drop-down-text-color'] ?>;
		}

		#verticalMenu .menu-bar .menu-list-items li .drop-down li:hover > a,
		#verticalMenu .menu-bar .menu-list-items li .drop-down li.activeClick > a {
			color: <?php echo $color['drop-down-text-color-hover'] ?>;
		}

		#verticalMenu .menu-bar .menu-list-items li .drop-down li > a .dropDownIndicator {
			background: <?php echo $color['drop-down-text-color'] ?>;
		}

		#verticalMenu .menu-bar .menu-list-items li .drop-down li:hover > a .dropDownIndicator,
		#verticalMenu .menu-bar .menu-list-items li .drop-down li.activeClick > a .dropDownIndicator {
			background: <?php echo $color['drop-down-text-color-hover'] ?> !important;
		}

		#verticalMenu #verticalMenuSearchBar {
			background: <?php echo $color['search-bar-background'] ?>;
			box-shadow: 0px 5px 10px <?php echo $color['search-bar-shadow'] ?>;
		}

		#verticalMenu #verticalMenuSearchBar input[type="search"] {
			background: <?php echo $color['search-bar-input-background'] ?>;
			color: <?php echo $color['search-bar-text-color'] ?>;
		}

		#verticalMenu #verticalMenuSearchBar input[type="submit"],
		#verticalMenu #verticalMenuSearchBar button[type="submit"] {
			background: <?php echo $color['search-bar-input-background'] ?>;
			color: <?php echo $color['search-bar-text-color'] ?>;
		}

		#verticalMenu #verticalMenuSearchBar input[type="submit"]:hover,
		#verticalMenu #verticalMenuSearchBar button[type="submit"]:hover {
			background: <?php echo $color['search-bar-hover'] ?>;
		}

		#verticalMenu .menuCollapseButton {
			background: <?php echo $color['icon-bar-live-color'] ?>;
		}

		#verticalMenu .menuCollapseButton a {
			color: <?php echo $color['icon-bar-icon-color'] ?>;
		}

		#verticalMenu .menuCollapseButton .collapseButtonIcon .collapseButtonInner span {
			border-bottom-color: <?php echo $color['icon-bar-icon-color'] ?>;
		}
	</style>
	<?php
}

$On_Off = get_option( 'VM_database_option' );

// check if the predefined theme is off then apply custom css
if ( isset( $On_Off['custom-color-on'] ) ) {
	if ( $On_Off['custom-color-on'] === 'true' ) {
		add_action( 'wp_head', 'VM_VerticalMenu_Live_CSS' );
	}
}