/*! ========================================================================
 * Bootstrap Toggle: bootstrap-toggle.js v2.2.0
 * http://www.bootstraptoggle.com
 * ========================================================================
 * Copyright 2014 Min Hur, The New York Times Company
 * Licensed under MIT
 * ======================================================================== */
+function (a) {
    "use strict";
    function b(b) {
        return this.each(function () {
            var d = a(this), e = d.data("bs.toggle"), f = "object" == typeof b && b;
            e || d.data("bs.toggle", e = new c(this, f)), "string" == typeof b && e[b] && e[b]()
        })
    }

    var c = function (b, c) {
        this.$element = a(b), this.options = a.extend({}, this.defaults(), c), this.render()
    };
    c.VERSION = "2.2.0", c.DEFAULTS = {
        on      : "On",
        off     : "Off",
        onstyle : "primary",
        offstyle: "default",
        size    : "normal",
        style   : "",
        width   : null,
        height  : null
    }, c.prototype.defaults = function () {
        return {
            on      : this.$element.attr("data-on") || c.DEFAULTS.on,
            off     : this.$element.attr("data-off") || c.DEFAULTS.off,
            onstyle : this.$element.attr("data-onstyle") || c.DEFAULTS.onstyle,
            offstyle: this.$element.attr("data-offstyle") || c.DEFAULTS.offstyle,
            size    : this.$element.attr("data-size") || c.DEFAULTS.size,
            style   : this.$element.attr("data-style") || c.DEFAULTS.style,
            width   : this.$element.attr("data-width") || c.DEFAULTS.width,
            height  : this.$element.attr("data-height") || c.DEFAULTS.height
        }
    }, c.prototype.render = function () {
        this._onstyle = "btn-" + this.options.onstyle, this._offstyle = "btn-" + this.options.offstyle;
        var b = "large" === this.options.size ? "btn-lg" : "small" === this.options.size ? "btn-sm" : "mini" === this.options.size ? "btn-xs" : "", c = a('<label class="btn">').html(this.options.on).addClass(this._onstyle + " " + b), d = a('<label class="btn">').html(this.options.off).addClass(this._offstyle + " " + b + " active"), e = a('<span class="toggle-handle btn btn-default">').addClass(b), f = a('<div class="toggle-group">').append(c, d, e), g = a('<div class="toggle btn" data-toggle="toggle">').addClass(this.$element.prop("checked") ? this._onstyle : this._offstyle + " off").addClass(b).addClass(this.options.style);
        this.$element.wrap(g), a.extend(this, {
            $toggle     : this.$element.parent(),
            $toggleOn   : c,
            $toggleOff  : d,
            $toggleGroup: f
        }), this.$toggle.append(f);
        var h = this.options.width || Math.max(c.outerWidth(), d.outerWidth()) + e.outerWidth() / 2, i = this.options.height || Math.max(c.outerHeight(), d.outerHeight());
        c.addClass("toggle-on"), d.addClass("toggle-off"), this.$toggle.css({
            width : h,
            height: i
        }), this.options.height && (c.css("line-height", c.height() + "px"), d.css("line-height", d.height() + "px")), this.update(!0), this.trigger(!0)
    }, c.prototype.toggle = function () {
        this.$element.prop("checked") ? this.off() : this.on()
    }, c.prototype.on = function (a) {
        return this.$element.prop("disabled") ? !1 : (this.$toggle.removeClass(this._offstyle + " off").addClass(this._onstyle), this.$element.prop("checked", !0), void(a || this.trigger()))
    }, c.prototype.off = function (a) {
        return this.$element.prop("disabled") ? !1 : (this.$toggle.removeClass(this._onstyle).addClass(this._offstyle + " off"), this.$element.prop("checked", !1), void(a || this.trigger()))
    }, c.prototype.enable = function () {
        this.$toggle.removeAttr("disabled"), this.$element.prop("disabled", !1)
    }, c.prototype.disable = function () {
        this.$toggle.attr("disabled", "disabled"), this.$element.prop("disabled", !0)
    }, c.prototype.update = function (a) {
        this.$element.prop("disabled") ? this.disable() : this.enable(), this.$element.prop("checked") ? this.on(a) : this.off(a)
    }, c.prototype.trigger = function (b) {
        this.$element.off("change.bs.toggle"), b || this.$element.change(), this.$element.on("change.bs.toggle", a.proxy(function () {
            this.update()
        }, this))
    }, c.prototype.destroy = function () {
        this.$element.off("change.bs.toggle"), this.$toggleGroup.remove(), this.$element.removeData("bs.toggle"), this.$element.unwrap()
    };
    var d = a.fn.bootstrapToggle;
    a.fn.bootstrapToggle = b, a.fn.bootstrapToggle.Constructor = c, a.fn.toggle.noConflict = function () {
        return a.fn.bootstrapToggle = d, this
    }, a(function () {
        a("input[type=checkbox][data-toggle^=toggle]").bootstrapToggle()
    }), a(document).on("click.bs.toggle", "div[data-toggle^=toggle]", function (b) {
        var c = a(this).find("input[type=checkbox]");
        c.bootstrapToggle("toggle"), b.preventDefault()
    })
}(jQuery);
//# sourceMappingURL=bootstrap-toggle.min.js.map

jQuery(document).ready(function ($) {

    var adminMenu = '.verticalMenuAdmin';

    $('#VM_upload-btn').click(function (e) {
        e.preventDefault();
        var image = wp.media({
            title   : 'Upload Image',
            // multiple: true if you want to upload multiple files at once
            multiple: false
        }).open()
            .on('select', function (e) {
                // This will return the selected image from the Media Uploader, the result is an object
                var uploaded_image = image.state().get('selection').first();
                // We convert uploaded_image to a JSON object to make accessing it easier
                // Output to the console uploaded_image
                //console.log(uploaded_image);
                var image_url = uploaded_image.toJSON().url;
                // Let's assign the url value to the input field
                $('#VM_image_url').val(image_url);
            });
    });

    // icon bar append image icons
    $(document).on('click','.upload-btn-icon-bar', function (e,current) {
        current = $(this);
        e.preventDefault();
        var image = wp.media({
            title   : 'Upload Image',
            // multiple: true if you want to upload multiple files at once
            multiple: false
        }).open()
            .on('select', function (e) {
                // This will return the selected image from the Media Uploader, the result is an object
                var uploaded_image = image.state().get('selection').first();
                // We convert uploaded_image to a JSON object to make accessing it easier
                // Output to the console uploaded_image
                //console.log(uploaded_image);
                var image_url = uploaded_image.toJSON().url;
                // Let's assign the url value to the input field
                //$('.image_url_icon_bar').val(image_url);

                current.parents('.icon-bar-table').find('.image_url_icon_bar').val(image_url);
            });
    });

    // icon bar append image icons
    $('.menu_image_icon_url_upload').click(function (e,current) {
        current = $(this);
        e.preventDefault();
        var image = wp.media({
            title   : 'Upload Image',
            // multiple: true if you want to upload multiple files at once
            multiple: false
        }).open()
            .on('select', function (e) {
                // This will return the selected image from the Media Uploader, the result is an object
                var uploaded_image = image.state().get('selection').first();
                // We convert uploaded_image to a JSON object to make accessing it easier
                // Output to the console uploaded_image
                //console.log(uploaded_image);
                var image_url = uploaded_image.toJSON().url;
                // Let's assign the url value to the input field
                //$('.image_url_icon_bar').val(image_url);

                current.parents('.icon-bar-table-menu').find('.menu_image_icon_url').val(image_url);
            });
    });

    // close button menu image icons remove
    $('.icon-bar-table-menu').find('.fa.fa-times.button-secondary').click(function (event) {
        event.preventDefault();
        $(this).parents('.icon-bar-table-menu').find('.menu_image_icon_url').val('');
    });

    // close button for profile image
    $('.VM_Profile_Image_Remove').click(function (event) {
        event.preventDefault();
        $('#VM_image_url').val('');
    });

    //jQuery(adminMenu).find('#option-7').on('change', function () {
    //    if (jQuery(this).prop('checked') === false) {
    //        jQuery(this).parents(adminMenu).find('#option-8').bootstrapToggle('on');
    //    }
    //});
    //
    //jQuery(adminMenu).find('#option-8').on('change', function () {
    //    if (jQuery(this).prop('checked') === false) {
    //        jQuery(this).parents(adminMenu).find('#option-7').bootstrapToggle('on');
    //    }
    //});

    jQuery(adminMenu).find('#option-50').on('change', function () {
        if (jQuery(this).prop('checked') === false) {
            jQuery(this).parents(adminMenu).find('#option-60').bootstrapToggle('on');
        }
    });

    jQuery(adminMenu).find('#option-60').on('change', function () {
        if (jQuery(this).prop('checked') === false) {
            jQuery(this).parents(adminMenu).find('#option-50').bootstrapToggle('on');
        }
    });

    jQuery('.iconBarContainer').find('.iconBarAppend').on('click', function () {
        jQuery('.iconBarContainer.draggable').append('' +
            '<tr class="iconAppendRemove ui-sortable-handle">' +
            '	<th> <i class="fa fa-arrows dragIconAdd"></i>Icon</th>' +
            '<td>' +
            '	<label>' +
            '		<select name="VM_database_option[fontIconBar][]">' +
            '       <option value=\'fa-500px\'>500px</option>\n<option value=\'fa-adjust\'>adjust</option>\n<option value=\'fa-adn\'>adn</option>\n<option value=\'fa-align-center\'>align-center</option>\n<option value=\'fa-align-justify\'>align-justify</option>\n<option value=\'fa-align-left\'>align-left</option>\n<option value=\'fa-align-right\'>align-right</option>\n<option value=\'fa-amazon\'>amazon</option>\n<option value=\'fa-ambulance\'>ambulance</option>\n<option value=\'fa-anchor\'>anchor</option>\n<option value=\'fa-android\'>android</option>\n<option value=\'fa-angellist\'>angellist</option>\n<option value=\'fa-angle-double-down\'>angle-double-down</option>\n<option value=\'fa-angle-double-left\'>angle-double-left</option>\n<option value=\'fa-angle-double-right\'>angle-double-right</option>\n<option value=\'fa-angle-double-up\'>angle-double-up</option>\n<option value=\'fa-angle-down\'>angle-down</option>\n<option value=\'fa-angle-left\'>angle-left</option>\n<option value=\'fa-angle-right\'>angle-right</option>\n<option value=\'fa-angle-up\'>angle-up</option>\n<option value=\'fa-apple\'>apple</option>\n<option value=\'fa-archive\'>archive</option>\n<option value=\'fa-area-chart\'>area-chart</option>\n<option value=\'fa-arrow-circle-down\'>arrow-circle-down</option>\n<option value=\'fa-arrow-circle-left\'>arrow-circle-left</option>\n<option value=\'fa-arrow-circle-o-down\'>arrow-circle-o-down</option>\n<option value=\'fa-arrow-circle-o-left\'>arrow-circle-o-left</option>\n<option value=\'fa-arrow-circle-o-right\'>arrow-circle-o-right</option>\n<option value=\'fa-arrow-circle-o-up\'>arrow-circle-o-up</option>\n<option value=\'fa-arrow-circle-right\'>arrow-circle-right</option>\n<option value=\'fa-arrow-circle-up\'>arrow-circle-up</option>\n<option value=\'fa-arrow-down\'>arrow-down</option>\n<option value=\'fa-arrow-left\'>arrow-left</option>\n<option value=\'fa-arrow-right\'>arrow-right</option>\n<option value=\'fa-arrow-up\'>arrow-up</option>\n<option value=\'fa-arrows\'>arrows</option>\n<option value=\'fa-arrows-alt\'>arrows-alt</option>\n<option value=\'fa-arrows-h\'>arrows-h</option>\n<option value=\'fa-arrows-v\'>arrows-v</option>\n<option value=\'fa-asterisk\'>asterisk</option>\n<option value=\'fa-at\'>at</option>\n<option value=\'fa-automobile\'>automobile</option>\n<option value=\'fa-backward\'>backward</option>\n<option value=\'fa-balance-scale\'>balance-scale</option>\n<option value=\'fa-ban\'>ban</option>\n<option value=\'fa-bank\'>bank</option>\n<option value=\'fa-bar-chart\'>bar-chart</option>\n<option value=\'fa-bar-chart-o\'>bar-chart-o</option>\n<option value=\'fa-barcode\'>barcode</option>\n<option value=\'fa-bars\'>bars</option>\n<option value=\'fa-battery-0\'>battery-0</option>\n<option value=\'fa-battery-1\'>battery-1</option>\n<option value=\'fa-battery-2\'>battery-2</option>\n<option value=\'fa-battery-3\'>battery-3</option>\n<option value=\'fa-battery-4\'>battery-4</option>\n<option value=\'fa-battery-empty\'>battery-empty</option>\n<option value=\'fa-battery-full\'>battery-full</option>\n<option value=\'fa-battery-half\'>battery-half</option>\n<option value=\'fa-battery-quarter\'>battery-quarter</option>\n<option value=\'fa-battery-three-quarters\'>battery-three-quarters</option>\n<option value=\'fa-bed\'>bed</option>\n<option value=\'fa-beer\'>beer</option>\n<option value=\'fa-behance\'>behance</option>\n<option value=\'fa-behance-square\'>behance-square</option>\n<option value=\'fa-bell\'>bell</option>\n<option value=\'fa-bell-o\'>bell-o</option>\n<option value=\'fa-bell-slash\'>bell-slash</option>\n<option value=\'fa-bell-slash-o\'>bell-slash-o</option>\n<option value=\'fa-bicycle\'>bicycle</option>\n<option value=\'fa-binoculars\'>binoculars</option>\n<option value=\'fa-birthday-cake\'>birthday-cake</option>\n<option value=\'fa-bitbucket\'>bitbucket</option>\n<option value=\'fa-bitbucket-square\'>bitbucket-square</option>\n<option value=\'fa-bitcoin\'>bitcoin</option>\n<option value=\'fa-black-tie\'>black-tie</option>\n<option value=\'fa-bold\'>bold</option>\n<option value=\'fa-bolt\'>bolt</option>\n<option value=\'fa-bomb\'>bomb</option>\n<option value=\'fa-book\'>book</option>\n<option value=\'fa-bookmark\'>bookmark</option>\n<option value=\'fa-bookmark-o\'>bookmark-o</option>\n<option value=\'fa-briefcase\'>briefcase</option>\n<option value=\'fa-btc\'>btc</option>\n<option value=\'fa-bug\'>bug</option>\n<option value=\'fa-building\'>building</option>\n<option value=\'fa-building-o\'>building-o</option>\n<option value=\'fa-bullhorn\'>bullhorn</option>\n<option value=\'fa-bullseye\'>bullseye</option>\n<option value=\'fa-bus\'>bus</option>\n<option value=\'fa-buysellads\'>buysellads</option>\n<option value=\'fa-cab\'>cab</option>\n<option value=\'fa-calculator\'>calculator</option>\n<option value=\'fa-calendar\'>calendar</option>\n<option value=\'fa-calendar-check-o\'>calendar-check-o</option>\n<option value=\'fa-calendar-minus-o\'>calendar-minus-o</option>\n<option value=\'fa-calendar-o\'>calendar-o</option>\n<option value=\'fa-calendar-plus-o\'>calendar-plus-o</option>\n<option value=\'fa-calendar-times-o\'>calendar-times-o</option>\n<option value=\'fa-camera\'>camera</option>\n<option value=\'fa-camera-retro\'>camera-retro</option>\n<option value=\'fa-car\'>car</option>\n<option value=\'fa-caret-down\'>caret-down</option>\n<option value=\'fa-caret-left\'>caret-left</option>\n<option value=\'fa-caret-right\'>caret-right</option>\n<option value=\'fa-caret-square-o-down\'>caret-square-o-down</option>\n<option value=\'fa-caret-square-o-left\'>caret-square-o-left</option>\n<option value=\'fa-caret-square-o-right\'>caret-square-o-right</option>\n<option value=\'fa-caret-square-o-up\'>caret-square-o-up</option>\n<option value=\'fa-caret-up\'>caret-up</option>\n<option value=\'fa-cart-arrow-down\'>cart-arrow-down</option>\n<option value=\'fa-cart-plus\'>cart-plus</option>\n<option value=\'fa-cc\'>cc</option>\n<option value=\'fa-cc-amex\'>cc-amex</option>\n<option value=\'fa-cc-diners-club\'>cc-diners-club</option>\n<option value=\'fa-cc-discover\'>cc-discover</option>\n<option value=\'fa-cc-jcb\'>cc-jcb</option>\n<option value=\'fa-cc-mastercard\'>cc-mastercard</option>\n<option value=\'fa-cc-paypal\'>cc-paypal</option>\n<option value=\'fa-cc-stripe\'>cc-stripe</option>\n<option value=\'fa-cc-visa\'>cc-visa</option>\n<option value=\'fa-certificate\'>certificate</option>\n<option value=\'fa-chain\'>chain</option>\n<option value=\'fa-chain-broken\'>chain-broken</option>\n<option value=\'fa-check\'>check</option>\n<option value=\'fa-check-circle\'>check-circle</option>\n<option value=\'fa-check-circle-o\'>check-circle-o</option>\n<option value=\'fa-check-square\'>check-square</option>\n<option value=\'fa-check-square-o\'>check-square-o</option>\n<option value=\'fa-chevron-circle-down\'>chevron-circle-down</option>\n<option value=\'fa-chevron-circle-left\'>chevron-circle-left</option>\n<option value=\'fa-chevron-circle-right\'>chevron-circle-right</option>\n<option value=\'fa-chevron-circle-up\'>chevron-circle-up</option>\n<option value=\'fa-chevron-down\'>chevron-down</option>\n<option value=\'fa-chevron-left\'>chevron-left</option>\n<option value=\'fa-chevron-right\'>chevron-right</option>\n<option value=\'fa-chevron-up\'>chevron-up</option>\n<option value=\'fa-child\'>child</option>\n<option value=\'fa-chrome\'>chrome</option>\n<option value=\'fa-circle\'>circle</option>\n<option value=\'fa-circle-o\'>circle-o</option>\n<option value=\'fa-circle-o-notch\'>circle-o-notch</option>\n<option value=\'fa-circle-thin\'>circle-thin</option>\n<option value=\'fa-clipboard\'>clipboard</option>\n<option value=\'fa-clock-o\'>clock-o</option>\n<option value=\'fa-clone\'>clone</option>\n<option value=\'fa-close\'>close</option>\n<option value=\'fa-cloud\'>cloud</option>\n<option value=\'fa-cloud-download\'>cloud-download</option>\n<option value=\'fa-cloud-upload\'>cloud-upload</option>\n<option value=\'fa-cny\'>cny</option>\n<option value=\'fa-code\'>code</option>\n<option value=\'fa-code-fork\'>code-fork</option>\n<option value=\'fa-codepen\'>codepen</option>\n<option value=\'fa-coffee\'>coffee</option>\n<option value=\'fa-cog\'>cog</option>\n<option value=\'fa-cogs\'>cogs</option>\n<option value=\'fa-columns\'>columns</option>\n<option value=\'fa-comment\'>comment</option>\n<option value=\'fa-comment-o\'>comment-o</option>\n<option value=\'fa-commenting\'>commenting</option>\n<option value=\'fa-commenting-o\'>commenting-o</option>\n<option value=\'fa-comments\'>comments</option>\n<option value=\'fa-comments-o\'>comments-o</option>\n<option value=\'fa-compass\'>compass</option>\n<option value=\'fa-compress\'>compress</option>\n<option value=\'fa-connectdevelop\'>connectdevelop</option>\n<option value=\'fa-contao\'>contao</option>\n<option value=\'fa-copy\'>copy</option>\n<option value=\'fa-copyright\'>copyright</option>\n<option value=\'fa-creative-commons\'>creative-commons</option>\n<option value=\'fa-credit-card\'>credit-card</option>\n<option value=\'fa-crop\'>crop</option>\n<option value=\'fa-crosshairs\'>crosshairs</option>\n<option value=\'fa-css3\'>css3</option>\n<option value=\'fa-cube\'>cube</option>\n<option value=\'fa-cubes\'>cubes</option>\n<option value=\'fa-cut\'>cut</option>\n<option value=\'fa-cutlery\'>cutlery</option>\n<option value=\'fa-dashboard\'>dashboard</option>\n<option value=\'fa-dashcube\'>dashcube</option>\n<option value=\'fa-database\'>database</option>\n<option value=\'fa-dedent\'>dedent</option>\n<option value=\'fa-delicious\'>delicious</option>\n<option value=\'fa-desktop\'>desktop</option>\n<option value=\'fa-deviantart\'>deviantart</option>\n<option value=\'fa-diamond\'>diamond</option>\n<option value=\'fa-digg\'>digg</option>\n<option value=\'fa-dollar\'>dollar</option>\n<option value=\'fa-dot-circle-o\'>dot-circle-o</option>\n<option value=\'fa-download\'>download</option>\n<option value=\'fa-dribbble\'>dribbble</option>\n<option value=\'fa-dropbox\'>dropbox</option>\n<option value=\'fa-drupal\'>drupal</option>\n<option value=\'fa-edit\'>edit</option>\n<option value=\'fa-eject\'>eject</option>\n<option value=\'fa-ellipsis-h\'>ellipsis-h</option>\n<option value=\'fa-ellipsis-v\'>ellipsis-v</option>\n<option value=\'fa-empire\'>empire</option>\n<option value=\'fa-envelope\'>envelope</option>\n<option value=\'fa-envelope-o\'>envelope-o</option>\n<option value=\'fa-envelope-square\'>envelope-square</option>\n<option value=\'fa-eraser\'>eraser</option>\n<option value=\'fa-eur\'>eur</option>\n<option value=\'fa-euro\'>euro</option>\n<option value=\'fa-exchange\'>exchange</option>\n<option value=\'fa-exclamation\'>exclamation</option>\n<option value=\'fa-exclamation-circle\'>exclamation-circle</option>\n<option value=\'fa-exclamation-triangle\'>exclamation-triangle</option>\n<option value=\'fa-expand\'>expand</option>\n<option value=\'fa-expeditedssl\'>expeditedssl</option>\n<option value=\'fa-external-link\'>external-link</option>\n<option value=\'fa-external-link-square\'>external-link-square</option>\n<option value=\'fa-eye\'>eye</option>\n<option value=\'fa-eye-slash\'>eye-slash</option>\n<option value=\'fa-eyedropper\'>eyedropper</option>\n<option value=\'fa-facebook\'>facebook</option>\n<option value=\'fa-facebook-f\'>facebook-f</option>\n<option value=\'fa-facebook-official\'>facebook-official</option>\n<option value=\'fa-facebook-square\'>facebook-square</option>\n<option value=\'fa-fast-backward\'>fast-backward</option>\n<option value=\'fa-fast-forward\'>fast-forward</option>\n<option value=\'fa-fax\'>fax</option>\n<option value=\'fa-feed\'>feed</option>\n<option value=\'fa-female\'>female</option>\n<option value=\'fa-fighter-jet\'>fighter-jet</option>\n<option value=\'fa-file\'>file</option>\n<option value=\'fa-file-archive-o\'>file-archive-o</option>\n<option value=\'fa-file-audio-o\'>file-audio-o</option>\n<option value=\'fa-file-code-o\'>file-code-o</option>\n<option value=\'fa-file-excel-o\'>file-excel-o</option>\n<option value=\'fa-file-image-o\'>file-image-o</option>\n<option value=\'fa-file-movie-o\'>file-movie-o</option>\n<option value=\'fa-file-o\'>file-o</option>\n<option value=\'fa-file-pdf-o\'>file-pdf-o</option>\n<option value=\'fa-file-photo-o\'>file-photo-o</option>\n<option value=\'fa-file-picture-o\'>file-picture-o</option>\n<option value=\'fa-file-powerpoint-o\'>file-powerpoint-o</option>\n<option value=\'fa-file-sound-o\'>file-sound-o</option>\n<option value=\'fa-file-text\'>file-text</option>\n<option value=\'fa-file-text-o\'>file-text-o</option>\n<option value=\'fa-file-video-o\'>file-video-o</option>\n<option value=\'fa-file-word-o\'>file-word-o</option>\n<option value=\'fa-file-zip-o\'>file-zip-o</option>\n<option value=\'fa-files-o\'>files-o</option>\n<option value=\'fa-film\'>film</option>\n<option value=\'fa-filter\'>filter</option>\n<option value=\'fa-fire\'>fire</option>\n<option value=\'fa-fire-extinguisher\'>fire-extinguisher</option>\n<option value=\'fa-firefox\'>firefox</option>\n<option value=\'fa-flag\'>flag</option>\n<option value=\'fa-flag-checkered\'>flag-checkered</option>\n<option value=\'fa-flag-o\'>flag-o</option>\n<option value=\'fa-flash\'>flash</option>\n<option value=\'fa-flask\'>flask</option>\n<option value=\'fa-flickr\'>flickr</option>\n<option value=\'fa-floppy-o\'>floppy-o</option>\n<option value=\'fa-folder\'>folder</option>\n<option value=\'fa-folder-o\'>folder-o</option>\n<option value=\'fa-folder-open\'>folder-open</option>\n<option value=\'fa-folder-open-o\'>folder-open-o</option>\n<option value=\'fa-font\'>font</option>\n<option value=\'fa-fonticons\'>fonticons</option>\n<option value=\'fa-forumbee\'>forumbee</option>\n<option value=\'fa-forward\'>forward</option>\n<option value=\'fa-foursquare\'>foursquare</option>\n<option value=\'fa-frown-o\'>frown-o</option>\n<option value=\'fa-futbol-o\'>futbol-o</option>\n<option value=\'fa-gamepad\'>gamepad</option>\n<option value=\'fa-gavel\'>gavel</option>\n<option value=\'fa-gbp\'>gbp</option>\n<option value=\'fa-ge\'>ge</option>\n<option value=\'fa-gear\'>gear</option>\n<option value=\'fa-gears\'>gears</option>\n<option value=\'fa-genderless\'>genderless</option>\n<option value=\'fa-get-pocket\'>get-pocket</option>\n<option value=\'fa-gg\'>gg</option>\n<option value=\'fa-gg-circle\'>gg-circle</option>\n<option value=\'fa-gift\'>gift</option>\n<option value=\'fa-git\'>git</option>\n<option value=\'fa-git-square\'>git-square</option>\n<option value=\'fa-github\'>github</option>\n<option value=\'fa-github-alt\'>github-alt</option>\n<option value=\'fa-github-square\'>github-square</option>\n<option value=\'fa-gittip\'>gittip</option>\n<option value=\'fa-glass\'>glass</option>\n<option value=\'fa-globe\'>globe</option>\n<option value=\'fa-google\'>google</option>\n<option value=\'fa-google-plus\'>google-plus</option>\n<option value=\'fa-google-plus-square\'>google-plus-square</option>\n<option value=\'fa-google-wallet\'>google-wallet</option>\n<option value=\'fa-graduation-cap\'>graduation-cap</option>\n<option value=\'fa-gratipay\'>gratipay</option>\n<option value=\'fa-group\'>group</option>\n<option value=\'fa-h-square\'>h-square</option>\n<option value=\'fa-hacker-news\'>hacker-news</option>\n<option value=\'fa-hand-grab-o\'>hand-grab-o</option>\n<option value=\'fa-hand-lizard-o\'>hand-lizard-o</option>\n<option value=\'fa-hand-o-down\'>hand-o-down</option>\n<option value=\'fa-hand-o-left\'>hand-o-left</option>\n<option value=\'fa-hand-o-right\'>hand-o-right</option>\n<option value=\'fa-hand-o-up\'>hand-o-up</option>\n<option value=\'fa-hand-paper-o\'>hand-paper-o</option>\n<option value=\'fa-hand-peace-o\'>hand-peace-o</option>\n<option value=\'fa-hand-pointer-o\'>hand-pointer-o</option>\n<option value=\'fa-hand-rock-o\'>hand-rock-o</option>\n<option value=\'fa-hand-scissors-o\'>hand-scissors-o</option>\n<option value=\'fa-hand-spock-o\'>hand-spock-o</option>\n<option value=\'fa-hand-stop-o\'>hand-stop-o</option>\n<option value=\'fa-hdd-o\'>hdd-o</option>\n<option value=\'fa-header\'>header</option>\n<option value=\'fa-headphones\'>headphones</option>\n<option value=\'fa-heart\'>heart</option>\n<option value=\'fa-heart-o\'>heart-o</option>\n<option value=\'fa-heartbeat\'>heartbeat</option>\n<option value=\'fa-history\'>history</option>\n<option value=\'fa-home\'>home</option>\n<option value=\'fa-hospital-o\'>hospital-o</option>\n<option value=\'fa-hotel\'>hotel</option>\n<option value=\'fa-hourglass\'>hourglass</option>\n<option value=\'fa-hourglass-1\'>hourglass-1</option>\n<option value=\'fa-hourglass-2\'>hourglass-2</option>\n<option value=\'fa-hourglass-3\'>hourglass-3</option>\n<option value=\'fa-hourglass-end\'>hourglass-end</option>\n<option value=\'fa-hourglass-half\'>hourglass-half</option>\n<option value=\'fa-hourglass-o\'>hourglass-o</option>\n<option value=\'fa-hourglass-start\'>hourglass-start</option>\n<option value=\'fa-houzz\'>houzz</option>\n<option value=\'fa-html5\'>html5</option>\n<option value=\'fa-i-cursor\'>i-cursor</option>\n<option value=\'fa-ils\'>ils</option>\n<option value=\'fa-image\'>image</option>\n<option value=\'fa-inbox\'>inbox</option>\n<option value=\'fa-indent\'>indent</option>\n<option value=\'fa-industry\'>industry</option>\n<option value=\'fa-info\'>info</option>\n<option value=\'fa-info-circle\'>info-circle</option>\n<option value=\'fa-inr\'>inr</option>\n<option value=\'fa-instagram\'>instagram</option>\n<option value=\'fa-institution\'>institution</option>\n<option value=\'fa-internet-explorer\'>internet-explorer</option>\n<option value=\'fa-intersex\'>intersex</option>\n<option value=\'fa-ioxhost\'>ioxhost</option>\n<option value=\'fa-italic\'>italic</option>\n<option value=\'fa-joomla\'>joomla</option>\n<option value=\'fa-jpy\'>jpy</option>\n<option value=\'fa-jsfiddle\'>jsfiddle</option>\n<option value=\'fa-key\'>key</option>\n<option value=\'fa-keyboard-o\'>keyboard-o</option>\n<option value=\'fa-krw\'>krw</option>\n<option value=\'fa-language\'>language</option>\n<option value=\'fa-laptop\'>laptop</option>\n<option value=\'fa-lastfm\'>lastfm</option>\n<option value=\'fa-lastfm-square\'>lastfm-square</option>\n<option value=\'fa-leaf\'>leaf</option>\n<option value=\'fa-leanpub\'>leanpub</option>\n<option value=\'fa-legal\'>legal</option>\n<option value=\'fa-lemon-o\'>lemon-o</option>\n<option value=\'fa-level-down\'>level-down</option>\n<option value=\'fa-level-up\'>level-up</option>\n<option value=\'fa-life-bouy\'>life-bouy</option>\n<option value=\'fa-life-buoy\'>life-buoy</option>\n<option value=\'fa-life-ring\'>life-ring</option>\n<option value=\'fa-life-saver\'>life-saver</option>\n<option value=\'fa-lightbulb-o\'>lightbulb-o</option>\n<option value=\'fa-line-chart\'>line-chart</option>\n<option value=\'fa-link\'>link</option>\n<option value=\'fa-linkedin\'>linkedin</option>\n<option value=\'fa-linkedin-square\'>linkedin-square</option>\n<option value=\'fa-linux\'>linux</option>\n<option value=\'fa-list\'>list</option>\n<option value=\'fa-list-alt\'>list-alt</option>\n<option value=\'fa-list-ol\'>list-ol</option>\n<option value=\'fa-list-ul\'>list-ul</option>\n<option value=\'fa-location-arrow\'>location-arrow</option>\n<option value=\'fa-lock\'>lock</option>\n<option value=\'fa-long-arrow-down\'>long-arrow-down</option>\n<option value=\'fa-long-arrow-left\'>long-arrow-left</option>\n<option value=\'fa-long-arrow-right\'>long-arrow-right</option>\n<option value=\'fa-long-arrow-up\'>long-arrow-up</option>\n<option value=\'fa-magic\'>magic</option>\n<option value=\'fa-magnet\'>magnet</option>\n<option value=\'fa-mail-forward\'>mail-forward</option>\n<option value=\'fa-mail-reply\'>mail-reply</option>\n<option value=\'fa-mail-reply-all\'>mail-reply-all</option>\n<option value=\'fa-male\'>male</option>\n<option value=\'fa-map\'>map</option>\n<option value=\'fa-map-marker\'>map-marker</option>\n<option value=\'fa-map-o\'>map-o</option>\n<option value=\'fa-map-pin\'>map-pin</option>\n<option value=\'fa-map-signs\'>map-signs</option>\n<option value=\'fa-mars\'>mars</option>\n<option value=\'fa-mars-double\'>mars-double</option>\n<option value=\'fa-mars-stroke\'>mars-stroke</option>\n<option value=\'fa-mars-stroke-h\'>mars-stroke-h</option>\n<option value=\'fa-mars-stroke-v\'>mars-stroke-v</option>\n<option value=\'fa-maxcdn\'>maxcdn</option>\n<option value=\'fa-meanpath\'>meanpath</option>\n<option value=\'fa-medium\'>medium</option>\n<option value=\'fa-medkit\'>medkit</option>\n<option value=\'fa-meh-o\'>meh-o</option>\n<option value=\'fa-mercury\'>mercury</option>\n<option value=\'fa-microphone\'>microphone</option>\n<option value=\'fa-microphone-slash\'>microphone-slash</option>\n<option value=\'fa-minus\'>minus</option>\n<option value=\'fa-minus-circle\'>minus-circle</option>\n<option value=\'fa-minus-square\'>minus-square</option>\n<option value=\'fa-minus-square-o\'>minus-square-o</option>\n<option value=\'fa-mobile\'>mobile</option>\n<option value=\'fa-mobile-phone\'>mobile-phone</option>\n<option value=\'fa-money\'>money</option>\n<option value=\'fa-moon-o\'>moon-o</option>\n<option value=\'fa-mortar-board\'>mortar-board</option>\n<option value=\'fa-motorcycle\'>motorcycle</option>\n<option value=\'fa-mouse-pointer\'>mouse-pointer</option>\n<option value=\'fa-music\'>music</option>\n<option value=\'fa-navicon\'>navicon</option>\n<option value=\'fa-neuter\'>neuter</option>\n<option value=\'fa-newspaper-o\'>newspaper-o</option>\n<option value=\'fa-object-group\'>object-group</option>\n<option value=\'fa-object-ungroup\'>object-ungroup</option>\n<option value=\'fa-odnoklassniki\'>odnoklassniki</option>\n<option value=\'fa-odnoklassniki-square\'>odnoklassniki-square</option>\n<option value=\'fa-opencart\'>opencart</option>\n<option value=\'fa-openid\'>openid</option>\n<option value=\'fa-opera\'>opera</option>\n<option value=\'fa-optin-monster\'>optin-monster</option>\n<option value=\'fa-outdent\'>outdent</option>\n<option value=\'fa-pagelines\'>pagelines</option>\n<option value=\'fa-paint-brush\'>paint-brush</option>\n<option value=\'fa-paper-plane\'>paper-plane</option>\n<option value=\'fa-paper-plane-o\'>paper-plane-o</option>\n<option value=\'fa-paperclip\'>paperclip</option>\n<option value=\'fa-paragraph\'>paragraph</option>\n<option value=\'fa-paste\'>paste</option>\n<option value=\'fa-pause\'>pause</option>\n<option value=\'fa-paw\'>paw</option>\n<option value=\'fa-paypal\'>paypal</option>\n<option value=\'fa-pencil\'>pencil</option>\n<option value=\'fa-pencil-square\'>pencil-square</option>\n<option value=\'fa-pencil-square-o\'>pencil-square-o</option>\n<option value=\'fa-phone\'>phone</option>\n<option value=\'fa-phone-square\'>phone-square</option>\n<option value=\'fa-photo\'>photo</option>\n<option value=\'fa-picture-o\'>picture-o</option>\n<option value=\'fa-pie-chart\'>pie-chart</option>\n<option value=\'fa-pied-piper\'>pied-piper</option>\n<option value=\'fa-pied-piper-alt\'>pied-piper-alt</option>\n<option value=\'fa-pinterest\'>pinterest</option>\n<option value=\'fa-pinterest-p\'>pinterest-p</option>\n<option value=\'fa-pinterest-square\'>pinterest-square</option>\n<option value=\'fa-plane\'>plane</option>\n<option value=\'fa-play\'>play</option>\n<option value=\'fa-play-circle\'>play-circle</option>\n<option value=\'fa-play-circle-o\'>play-circle-o</option>\n<option value=\'fa-plug\'>plug</option>\n<option value=\'fa-plus\'>plus</option>\n<option value=\'fa-plus-circle\'>plus-circle</option>\n<option value=\'fa-plus-square\'>plus-square</option>\n<option value=\'fa-plus-square-o\'>plus-square-o</option>\n<option value=\'fa-power-off\'>power-off</option>\n<option value=\'fa-print\'>print</option>\n<option value=\'fa-puzzle-piece\'>puzzle-piece</option>\n<option value=\'fa-qq\'>qq</option>\n<option value=\'fa-qrcode\'>qrcode</option>\n<option value=\'fa-question\'>question</option>\n<option value=\'fa-question-circle\'>question-circle</option>\n<option value=\'fa-quote-left\'>quote-left</option>\n<option value=\'fa-quote-right\'>quote-right</option>\n<option value=\'fa-ra\'>ra</option>\n<option value=\'fa-random\'>random</option>\n<option value=\'fa-rebel\'>rebel</option>\n<option value=\'fa-recycle\'>recycle</option>\n<option value=\'fa-reddit\'>reddit</option>\n<option value=\'fa-reddit-square\'>reddit-square</option>\n<option value=\'fa-refresh\'>refresh</option>\n<option value=\'fa-registered\'>registered</option>\n<option value=\'fa-remove\'>remove</option>\n<option value=\'fa-renren\'>renren</option>\n<option value=\'fa-reorder\'>reorder</option>\n<option value=\'fa-repeat\'>repeat</option>\n<option value=\'fa-reply\'>reply</option>\n<option value=\'fa-reply-all\'>reply-all</option>\n<option value=\'fa-retweet\'>retweet</option>\n<option value=\'fa-rmb\'>rmb</option>\n<option value=\'fa-road\'>road</option>\n<option value=\'fa-rocket\'>rocket</option>\n<option value=\'fa-rotate-left\'>rotate-left</option>\n<option value=\'fa-rotate-right\'>rotate-right</option>\n<option value=\'fa-rouble\'>rouble</option>\n<option value=\'fa-rss\'>rss</option>\n<option value=\'fa-rss-square\'>rss-square</option>\n<option value=\'fa-rub\'>rub</option>\n<option value=\'fa-ruble\'>ruble</option>\n<option value=\'fa-rupee\'>rupee</option>\n<option value=\'fa-safari\'>safari</option>\n<option value=\'fa-save\'>save</option>\n<option value=\'fa-scissors\'>scissors</option>\n<option value=\'fa-search\'>search</option>\n<option value=\'fa-search-minus\'>search-minus</option>\n<option value=\'fa-search-plus\'>search-plus</option>\n<option value=\'fa-sellsy\'>sellsy</option>\n<option value=\'fa-send\'>send</option>\n<option value=\'fa-send-o\'>send-o</option>\n<option value=\'fa-server\'>server</option>\n<option value=\'fa-share\'>share</option>\n<option value=\'fa-share-alt\'>share-alt</option>\n<option value=\'fa-share-alt-square\'>share-alt-square</option>\n<option value=\'fa-share-square\'>share-square</option>\n<option value=\'fa-share-square-o\'>share-square-o</option>\n<option value=\'fa-shekel\'>shekel</option>\n<option value=\'fa-sheqel\'>sheqel</option>\n<option value=\'fa-shield\'>shield</option>\n<option value=\'fa-ship\'>ship</option>\n<option value=\'fa-shirtsinbulk\'>shirtsinbulk</option>\n<option value=\'fa-shopping-cart\'>shopping-cart</option>\n<option value=\'fa-sign-in\'>sign-in</option>\n<option value=\'fa-sign-out\'>sign-out</option>\n<option value=\'fa-signal\'>signal</option>\n<option value=\'fa-simplybuilt\'>simplybuilt</option>\n<option value=\'fa-sitemap\'>sitemap</option>\n<option value=\'fa-skyatlas\'>skyatlas</option>\n<option value=\'fa-skype\'>skype</option>\n<option value=\'fa-slack\'>slack</option>\n<option value=\'fa-sliders\'>sliders</option>\n<option value=\'fa-slideshare\'>slideshare</option>\n<option value=\'fa-smile-o\'>smile-o</option>\n<option value=\'fa-soccer-ball-o\'>soccer-ball-o</option>\n<option value=\'fa-sort\'>sort</option>\n<option value=\'fa-sort-alpha-asc\'>sort-alpha-asc</option>\n<option value=\'fa-sort-alpha-desc\'>sort-alpha-desc</option>\n<option value=\'fa-sort-amount-asc\'>sort-amount-asc</option>\n<option value=\'fa-sort-amount-desc\'>sort-amount-desc</option>\n<option value=\'fa-sort-asc\'>sort-asc</option>\n<option value=\'fa-sort-desc\'>sort-desc</option>\n<option value=\'fa-sort-down\'>sort-down</option>\n<option value=\'fa-sort-numeric-asc\'>sort-numeric-asc</option>\n<option value=\'fa-sort-numeric-desc\'>sort-numeric-desc</option>\n<option value=\'fa-sort-up\'>sort-up</option>\n<option value=\'fa-soundcloud\'>soundcloud</option>\n<option value=\'fa-space-shuttle\'>space-shuttle</option>\n<option value=\'fa-spinner\'>spinner</option>\n<option value=\'fa-spoon\'>spoon</option>\n<option value=\'fa-spotify\'>spotify</option>\n<option value=\'fa-square\'>square</option>\n<option value=\'fa-square-o\'>square-o</option>\n<option value=\'fa-stack-exchange\'>stack-exchange</option>\n<option value=\'fa-stack-overflow\'>stack-overflow</option>\n<option value=\'fa-star\'>star</option>\n<option value=\'fa-star-half\'>star-half</option>\n<option value=\'fa-star-half-empty\'>star-half-empty</option>\n<option value=\'fa-star-half-full\'>star-half-full</option>\n<option value=\'fa-star-half-o\'>star-half-o</option>\n<option value=\'fa-star-o\'>star-o</option>\n<option value=\'fa-steam\'>steam</option>\n<option value=\'fa-steam-square\'>steam-square</option>\n<option value=\'fa-step-backward\'>step-backward</option>\n<option value=\'fa-step-forward\'>step-forward</option>\n<option value=\'fa-stethoscope\'>stethoscope</option>\n<option value=\'fa-sticky-note\'>sticky-note</option>\n<option value=\'fa-sticky-note-o\'>sticky-note-o</option>\n<option value=\'fa-stop\'>stop</option>\n<option value=\'fa-street-view\'>street-view</option>\n<option value=\'fa-strikethrough\'>strikethrough</option>\n<option value=\'fa-stumbleupon\'>stumbleupon</option>\n<option value=\'fa-stumbleupon-circle\'>stumbleupon-circle</option>\n<option value=\'fa-subscript\'>subscript</option>\n<option value=\'fa-subway\'>subway</option>\n<option value=\'fa-suitcase\'>suitcase</option>\n<option value=\'fa-sun-o\'>sun-o</option>\n<option value=\'fa-superscript\'>superscript</option>\n<option value=\'fa-support\'>support</option>\n<option value=\'fa-table\'>table</option>\n<option value=\'fa-tablet\'>tablet</option>\n<option value=\'fa-tachometer\'>tachometer</option>\n<option value=\'fa-tag\'>tag</option>\n<option value=\'fa-tags\'>tags</option>\n<option value=\'fa-tasks\'>tasks</option>\n<option value=\'fa-taxi\'>taxi</option>\n<option value=\'fa-television\'>television</option>\n<option value=\'fa-tencent-weibo\'>tencent-weibo</option>\n<option value=\'fa-terminal\'>terminal</option>\n<option value=\'fa-text-height\'>text-height</option>\n<option value=\'fa-text-width\'>text-width</option>\n<option value=\'fa-th\'>th</option>\n<option value=\'fa-th-large\'>th-large</option>\n<option value=\'fa-th-list\'>th-list</option>\n<option value=\'fa-thumb-tack\'>thumb-tack</option>\n<option value=\'fa-thumbs-down\'>thumbs-down</option>\n<option value=\'fa-thumbs-o-down\'>thumbs-o-down</option>\n<option value=\'fa-thumbs-o-up\'>thumbs-o-up</option>\n<option value=\'fa-thumbs-up\'>thumbs-up</option>\n<option value=\'fa-ticket\'>ticket</option>\n<option value=\'fa-times\'>times</option>\n<option value=\'fa-times-circle\'>times-circle</option>\n<option value=\'fa-times-circle-o\'>times-circle-o</option>\n<option value=\'fa-tint\'>tint</option>\n<option value=\'fa-toggle-down\'>toggle-down</option>\n<option value=\'fa-toggle-left\'>toggle-left</option>\n<option value=\'fa-toggle-off\'>toggle-off</option>\n<option value=\'fa-toggle-on\'>toggle-on</option>\n<option value=\'fa-toggle-right\'>toggle-right</option>\n<option value=\'fa-toggle-up\'>toggle-up</option>\n<option value=\'fa-trademark\'>trademark</option>\n<option value=\'fa-train\'>train</option>\n<option value=\'fa-transgender\'>transgender</option>\n<option value=\'fa-transgender-alt\'>transgender-alt</option>\n<option value=\'fa-trash\'>trash</option>\n<option value=\'fa-trash-o\'>trash-o</option>\n<option value=\'fa-tree\'>tree</option>\n<option value=\'fa-trello\'>trello</option>\n<option value=\'fa-tripadvisor\'>tripadvisor</option>\n<option value=\'fa-trophy\'>trophy</option>\n<option value=\'fa-truck\'>truck</option>\n<option value=\'fa-try\'>try</option>\n<option value=\'fa-tty\'>tty</option>\n<option value=\'fa-tumblr\'>tumblr</option>\n<option value=\'fa-tumblr-square\'>tumblr-square</option>\n<option value=\'fa-turkish-lira\'>turkish-lira</option>\n<option value=\'fa-tv\'>tv</option>\n<option value=\'fa-twitch\'>twitch</option>\n<option value=\'fa-twitter\'>twitter</option>\n<option value=\'fa-twitter-square\'>twitter-square</option>\n<option value=\'fa-umbrella\'>umbrella</option>\n<option value=\'fa-underline\'>underline</option>\n<option value=\'fa-undo\'>undo</option>\n<option value=\'fa-university\'>university</option>\n<option value=\'fa-unlink\'>unlink</option>\n<option value=\'fa-unlock\'>unlock</option>\n<option value=\'fa-unlock-alt\'>unlock-alt</option>\n<option value=\'fa-unsorted\'>unsorted</option>\n<option value=\'fa-upload\'>upload</option>\n<option value=\'fa-usd\'>usd</option>\n<option value=\'fa-user\'>user</option>\n<option value=\'fa-user-md\'>user-md</option>\n<option value=\'fa-user-plus\'>user-plus</option>\n<option value=\'fa-user-secret\'>user-secret</option>\n<option value=\'fa-user-times\'>user-times</option>\n<option value=\'fa-users\'>users</option>\n<option value=\'fa-venus\'>venus</option>\n<option value=\'fa-venus-double\'>venus-double</option>\n<option value=\'fa-venus-mars\'>venus-mars</option>\n<option value=\'fa-viacoin\'>viacoin</option>\n<option value=\'fa-video-camera\'>video-camera</option>\n<option value=\'fa-vimeo\'>vimeo</option>\n<option value=\'fa-vimeo-square\'>vimeo-square</option>\n<option value=\'fa-vine\'>vine</option>\n<option value=\'fa-vk\'>vk</option>\n<option value=\'fa-volume-down\'>volume-down</option>\n<option value=\'fa-volume-off\'>volume-off</option>\n<option value=\'fa-volume-up\'>volume-up</option>\n<option value=\'fa-warning\'>warning</option>\n<option value=\'fa-wechat\'>wechat</option>\n<option value=\'fa-weibo\'>weibo</option>\n<option value=\'fa-weixin\'>weixin</option>\n<option value=\'fa-whatsapp\'>whatsapp</option>\n<option value=\'fa-wheelchair\'>wheelchair</option>\n<option value=\'fa-wifi\'>wifi</option>\n<option value=\'fa-wikipedia-w\'>wikipedia-w</option>\n<option value=\'fa-windows\'>windows</option>\n<option value=\'fa-won\'>won</option>\n<option value=\'fa-wordpress\'>wordpress</option>\n<option value=\'fa-wrench\'>wrench</option>\n<option value=\'fa-xing\'>xing</option>\n<option value=\'fa-xing-square\'>xing-square</option>\n<option value=\'fa-y-combinator\'>y-combinator</option>\n<option value=\'fa-y-combinator-square\'>y-combinator-square</option>\n<option value=\'fa-yahoo\'>yahoo</option>\n<option value=\'fa-yc\'>yc</option>\n<option value=\'fa-yc-square\'>yc-square</option>\n<option value=\'fa-yelp\'>yelp</option>\n<option value=\'fa-yen\'>yen</option>\n<option value=\'fa-youtube\'>youtube</option>\n<option value=\'fa-youtube-play\'>youtube-play</option>\n<option value=\'fa-youtube-square\'>youtube-square</option>\n\t\t\t\t\t\t' +
            '		</select>' +
            '	</label>' +
            '<table class="icon-bar-table">\n    <tr>\n        <td>\n            <input type="text" name="VM_database_option[iconBarImage][]" class="regular-text image_url_icon_bar" placeholder="Image Icon Upload">\n        </td>\n        <td>\n            <input style="margin-left: 10px" type="button" name="upload-btn" class="button-secondary upload-btn-icon-bar" value="Upload">\n        </td>\n    </tr>\n</table>' +
            '</td>' +
            '<td>' +
            '	<span class="button-secondary fontAwesomeIconAppend"><i class="fa fa-500px"></i></span>' +
            '</td>' +
            '	<th>Tooltip Text</th>' +
            '	<td>' +
            '		<label>' +
            '			<input type="text" name="VM_database_option[iconBarTooltip][]"' +
            '			 placeholder="Some Text">' +
            '		</label>' +
            '	</td>' +
            '<th>URL</th>' +
            '<td>' +
            '	<label>' +
            '		<input type="url" name="VM_database_option[iconBarURL][]"' +
            '		       placeholder="http://example .com">' +
            '	</label>' +
            '</td>' +
            '	<td>' +
            '		<button type="button" class="button-secondary closeButton"><i class="fa fa-times"></i></button>' +
            '	</td>' +
            '</tr>' +
            '');
    });

    jQuery(document).on('click', '.iconBarContainer.draggable .closeButton', function () {
        jQuery(this).parents('.iconAppendRemove').remove();
    });

    jQuery(document).on('change', '.iconAppendRemove select', function () {
        var selectValue = jQuery(this).val();
        jQuery(this).parents('.iconAppendRemove').find('.fontAwesomeIconAppend').html('<i class="fa ' + selectValue + '"></i>');
    });

    // Add Color Picker to all inputs that have 'VM_color_field' class
    jQuery('.VM_color_field').wpColorPicker();

    // icons sortable
    jQuery( ".iconBarContainer.draggable tbody" ).sortable();

    // submit admin options using ajax
    jQuery('#verticalMenuOptionsForm').submit(function () {
        jQuery("#VM_VerticalMenu_Loading").show();
        jQuery(this).ajaxSubmit({
            complete: function () {
                jQuery('.saveResult').html("<div class='saveMessage successModal'></div>");
                jQuery('.saveMessage').append("<p>Settings Saved Successfully</p>").fadeIn(200);
                jQuery("#VM_VerticalMenu_Loading").hide();
                console.log('complete');
                setTimeout("jQuery('.saveMessage').fadeOut(200);", 5000);
            },
            error: function () {
                jQuery('.saveResult').html("<div class='saveMessage successModal'></div>");
                jQuery('.saveMessage').append("<p>Error</p>").fadeIn(200);
                jQuery("#VM_VerticalMenu_Loading").hide();
                setTimeout("jQuery('.saveMessage').fadeOut(200);", 5000);
            },
            timeout: 5000
        });
        return false;
    });

});